Treasury
Get pending approval
Releasing soon
This endpoint is being released and is not yet available.
GET
Requires scope wallets:read.
ApiKeyheader
AuthorizationBearer <sk_test_ or sk_live_ key>Your sk_live_ / sk_test_ API key
challenge*stringtreasury?booleanx-customer-id?stringResponse Body
200application/json
The approval collection
TypeScript Definitions
Use the response body type in TypeScript.
data*
status*number
success*boolean
401application/json
The Authorization header is missing, malformed, or the API key is unknown or revoked
TypeScript Definitions
Use the response body type in TypeScript.
data*
status*number
success*boolean
429application/json
The API key exceeded its request budget for the window
TypeScript Definitions
Use the response body type in TypeScript.
data*
status*number
success*boolean
Language
curl -X GET 'https://api.pilot.shiga.io/v1/transactions/approvals/string' \ -H 'x-customer-id: <customer id>' \ -H 'Authorization: Bearer sk_test_...'Example Response
{ "data": { "challenge": "string", "moduleId": "evm_erc4337", "intent": { "moduleId": "evm_erc4337", "chain": "string", "recipientAddress": "string", "amount": "string", "asset": "string", "txParams": {} }, "collected": 0, "required": 0, "approvals": [ { "credentialId": "string", "approvedAt": "string" } ], "createdAt": "string", "expiresAt": "string", "status": "pending" }, "status": 200, "success": true}